/*
    Escreva um programa que l 2 pontos (suas coordenadas) e calcula a distncia entre
    esses 2 pontos, usando uma funo para efetuar o clculo. O ponto deve ser definido
    como uma estrutura e o resultado deve ser armazenado em arquivo chamado pontos.txt
    no seguinte formato:
        x1, y1  x2, y2  distncia

    Exemplo:
        1.4, 3.5  4.4, 7.5  5.0
*/

#include <iostream>
#include <fstream>
#include <math.h>

using namespace std;

typedef struct{
    float x;
    float y;
}ponto;

float distanciaPontos(ponto *p1, ponto *p2)
{
    float res;

    res = sqrt(pow((*p2).x - (*p1).x, 2) + pow((*p2).y - (*p1).y, 2));
    return res;
}


int main()
{
    ponto a, b;

    fstream arquivo;

    arquivo.open ("pontos.txt", ios::out | ios::in | ios::trunc);

    if(arquivo.is_open())
    {
        cout << "Entre com o primeiro ponto :" << endl;
        cout << "x1 : ";
        cin >> a.x;
        cout << "y1 : ";
        cin >> a.y;
        cout << endl << "Entre com o segundo ponto :" << endl;
        cout << "x2 : ";
        cin >> b.x;
        cout << "y2 : ";
        cin >> b.y;

        cout << "\nPonto a: ";
        cout << "x = " << a.x << "  y = " << a.y;
        cout << "\nPonto b: ";
        cout << "x = " << b.x << "  y = " << b.y;

        arquivo << a.x << "," << a.y << " - "
                << b.x << "," << b.y << " - "
                << distanciaPontos(&a, &b) << endl;
    }

    arquivo.close();

    return 0;
}
