/*
  Escreva um programa que calcule uma aproximao da raiz quadrada de um nmero
  usando o mtodo de Newton. Pelo mtodo de Newton, para calcular a raiz R de um
  nmero X faa:
                R = R - (R*R - X)/(2*R)
  Quanto mais interaes voc fizer, melhor ser a aproximao. Como sugesto,
  utilize X/2 como valor inicial de R.
*/

#include <iostream>

using namespace std;

double newton(double X, double erro)
{
    double R;
    int i;

    R = X/2;

    for(i = 0 ; !(R*R > X * (1.0-erro) && R*R < X * (1.0+erro)) ; i++)
    {
        R = R - (R*R - X)/(2*R);
    }

    return R;
}

int main()
{
    double x, erro;

    cout << "Qual o valor de x? ";
    cin >> x;

    cout << "Qual a aproximacao? ";
    cin >> erro;

    cout << "Valor obtido para aproximacao: " << newton(x, erro) << endl;
    return 0;
}
