/*
  Um racional  qualquer nmero da forma p/q, sendo p inteiro e q inteiro no-nulo. Assim,  conveniente representar
  cada racional por uma estrutura:
      struct racional {
          int p;
          int q;
      };
  Usando a esta estrutura, escreva funes que:
  receba dois inteiros x e y e devolva o racional que representa x/y;
  receba dois racionais x e y e devolva o racional que representa a soma de x
   e y;
  receba dois racionais x e y e devolva o racional que representa o produto de
   x por y;
  receba dois racionais x e y e devolva o racional que representa o quociente
   de x por y;
  A funo principal deve ler quatro nmeros inteiros e, a partir deles, obter
  dois nmeros racionais. Em seguida deve
  ser impresso o resultado das operaes de soma, multiplicao e diviso desses dois nmeros racionais.
*/

#include <iostream>
#include <fstream>
#include <math.h>

using namespace std;

//typedef struct rac racional;
typedef struct{
    int p;
    int q;
}racional;

racional devolveRacional(int a, int b)
{
    racional res;

    res.p = a;
    res.q = b;

    return res;
}

racional devolveSomaRacional(racional a, racional b)
{
    racional res;

    res.p = a.p*b.q + b.p*a.q;
    res.q = a.q*b.q;

    return res;
}

racional devolveProdutoRacional(racional a, racional b)
{
    racional res;

    res.p = a.p*b.p;
    res.q = a.q*b.q;

    return res;
}

racional devolveQuocienteRacional(racional a, racional b)
{
    racional res;

    res.p = a.p*b.q;
    res.q = a.q*b.p;

    return res;
}
int main()
{
    int i1, j1, i2, j2;
    racional r1, r2, sr, pr, qr;

    cout << "Entre com 4 numeros inteiros, <> 0 : ";
    cin >> i1 >> j1 >> i2 >> j2;

    r1 = devolveRacional(i1, j1);
    cout << endl << "Primeiro numero racional : " << r1.p << "/" << r1.q << endl;

    r2 = devolveRacional(i2, j2);
    cout << endl << "Segundo numero racional : " << r2.p << "/" << r2.q  << endl;

    sr = devolveSomaRacional(r1, r2);
    cout << endl << "Soma dos numeros racionais r1 e r2 : " << sr.p << "/" << sr.q  << endl;

    pr = devolveProdutoRacional(r1, r2);
    cout << endl << "Produto dos numeros racionais r1 e r2 : " << pr.p << "/" << pr.q  << endl;

    qr = devolveQuocienteRacional(r1, r2);
    cout << endl << "Quociente dos numeros racionais r1 e r2 : " << qr.p << "/" << qr.q  << endl;

    return 0;
}
